Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.mimo.netty.handler.codec.icap
Class IcapMessageEncoder

    java.lang.Object
      org.jboss.netty.handler.codec.oneone.OneToOneEncoder
          ch.mimo.netty.handler.codec.icap.IcapMessageEncoder

All Implemented Interfaces:
  org.jboss.netty.channel.ChannelDownstreamHandler, org.jboss.netty.channel.ChannelHandler

Direct Known Subclasses:
  IcapRequestEncoder, IcapResponseEncoder

    public abstract class IcapMessageEncoder

extends org.jboss.netty.handler.codec.oneone.OneToOneEncoder

Main ICAP message encoder. This encoder is based on @see `OneToOneEncoder`

Author:
  Michael Mimo Moratti (mimo@mimo.ch)
See Also:
  `IcapRequestEncoder`, `IcapResponseEncoder`

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler
`org.jboss.netty.channel.ChannelHandler.Sharable`

Constructor Summary
`IcapMessageEncoder()`

Method Summary
`protected Object` | `encode(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.Channel channel, Object msg)`
`protected abstract int` | `encodeInitialLine(org.jboss.netty.buffer.ChannelBuffer buffer, IcapMessage message)`

Methods inherited from class org.jboss.netty.handler.codec.oneone.OneToOneEncoder
`handleDownstream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IcapMessageEncoder

    public IcapMessageEncoder()

Method Detail

### encode

    protected Object encode(org.jboss.netty.channel.ChannelHandlerContext ctx,
                            org.jboss.netty.channel.Channel channel,
                            Object msg)
                     throws Exception

  Specified by:
    `encode` in class `org.jboss.netty.handler.codec.oneone.OneToOneEncoder`
  Throws:
    `Exception`

### encodeInitialLine

    protected abstract int encodeInitialLine(org.jboss.netty.buffer.ChannelBuffer buffer,
                                             IcapMessage message)
                                      throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.